
Infrastructure - Task #2988

Story # 2987 (Closed): Track CI use during release process

Add analytics tracking script to ONEMercury

2012-06-20 14:15 - Dave Vieglais

Status: Closed Start date: 2012-06-20

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_mercury Estimated time: 0.00 hour

Target version: Sprint-2012.25-Block.4.1   

Milestone: CCI-1.0.2 Story Points:  

Product Version: *   

Description

The tracker id is "UA-15017327-9" and can be enabled by adding the following script:

var _gaq = _gaq || [];

_gaq.push(['_setAccount', 'UA-15017327-9']);

_gaq.push(['_setDomainName', 'dataone.org']);

_gaq.push(['_trackPageview']);

(function() {

var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;

ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';

var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);

})();

Need to verify that the script does not interfere with normal operation of the pages.

History

#1 - 2012-06-20 14:28 - Skye Roseboom

UA-15017327-9 is the tracker ID for production use.  Not for use in dev, stage, sandbox.

So will need to configure the tracking ID by hostname/domain.

#2 - 2012-06-20 14:39 - Dave Vieglais

For non-production environments, the tracking ID is "UA-15017327-12"

#3 - 2012-06-21 19:33 - Skye Roseboom

- Status changed from New to In Progress

#4 - 2012-06-22 19:38 - Skye Roseboom

- File redmine2988.patch added

update for ga snippet.

#5 - 2012-06-22 20:01 - Skye Roseboom

Added ga snippet to the following one-mercury ui:

index.jsp (search UI)

brief.jsp (search results UI)

full.jsp (metadata detail view)

myview.jsp (error page)
Committed to trunk.   Need to push to 1.0 branch for release in 1.0.2 patch release.

#6 - 2012-06-26 04:48 - Skye Roseboom

Copied to 1.0.0 branch for 1.0.2 patch release.

#7 - 2012-07-02 23:58 - Skye Roseboom

- Status changed from In Progress to Closed

tested with 1.0.2 patch release on sandbox.

Files

redmine2988.patch 4.35 KB 2012-06-22 Skye Roseboom
